repos:
-   repo: https://github.com/ambv/black
    rev: 19.10b0
    hooks:
    - id: black
      args: [--line-length=120]
-   repo: git://github.com/doublify/pre-commit-isort
    rev: v4.3.0
    hooks:
    - id: isort
-   repo: https://gitlab.com/pycqa/flake8
    rev: '3.8.3'
    hooks:
    - id: flake8
      args: ["--config=setup.cfg"]
      language_version: python3
-   repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.782
    hooks:
    - id: mypy
      args: ["--ignore-missing-imports"]
-   repo: local
    hooks:
    - id: tests
      language: system
      name: Run pytest.
      files: ".*\\.py$"
      entry: bash -c "pytest"
